%define name mandriva-theme
%define theme Mandriva
%define version 1.3.7
%define scriptdir %{_datadir}/bootsplash/scripts
%define mdk_bg %{_datadir}/mdk/backgrounds

%define release %mkrel 1

%define theme_header() \
Summary: Mandriva%{?1:-%1} theme for bootsplash and desktop background \
Group: Graphics \
%description %{?1} \
This package contains the Mandriva%{?1:-%1} bootsplash theme \
with its images and configuration for different resolution as well as \
the the desktop background image. \

%define theme_package(o:) \
%package %{1} \
Requires(post): bootsplash >= 2.0.2, perl-base, splashy \
Requires(post): drakx-kbd-mouse-x11 >= 0.49 \
Requires(preun): bootsplash >= 2.0.2, splashy \
Provides: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme = %{version}-%{release} \
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme %{?-o:%{-o*}} \
Requires: mandriva-theme-common \
Suggests: mandriva-theme-screensaver \
Conflicts: kdebase-konsole <= 1:3.4.2-37mdk \
%theme_header(%{1}) \
\
%package %{1}-screensaver \
Summary: Mandriva %{1} screensaver \
Group: Graphics \
Provides: mandriva-theme-screensaver \
%{?-o:Obsoletes: %{-o*}-screensaver} \
\
%description %{1}-screensaver \
This package contains the screensaver associated with the \
Mandriva %{1} theme. \

%define theme_scripts() \
%post -n %{name}-%{1} \
if [ -z "$DURING_INSTALL" ]; then \
  if [ -x %scriptdir/switch-themes ]; then \
    %scriptdir/switch-themes Mandriva-%{1} \
  fi \
else \
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then \
    perl -pi -e 's/^\\s*SPLASH=.*/SPLASH=auto/; s/^\\s*THEME=.*/THEME=Mandriva-%{1}/' %_sysconfdir/sysconfig/bootsplash \
  fi \
  ln -s Mandriva-%{1} %_sysconfdir/bootsplash/themes/current \
fi \
if [ ! -f %mdk_bg/default.png -o -L %mdk_bg/default.png ]; then \
  rm -f %mdk_bg/default.png \
  ln -s Mandriva-%{1}-1600x1200.png %mdk_bg/default.png \
fi \
if [ ! -f %mdk_bg/Mandriva.png -o -L %mdk_bg/Mandriva.png ]; then \
  rm -f %mdk_bg/Mandriva.png \
  ln -s Mandriva-%{1}-1600x1200.png %mdk_bg/Mandriva.png \
fi \
if [ -f %mdk_bg/Mandriva-root.png -a ! -f %mdk_bg/root/default.png -o -L %mdk_bg/root/default.png ]; then \
  rm -f %mdk_bg/root/default.png \
  ln -s Mandriva-%{1}-root-1600x1200.png %mdk_bg/root/default.png \
fi \
\
%triggerpostun -n %{name}-%{1} -- mandriva-theme-%{1} < 1.2.4 \
for f in kdeglobals konsolerc; do \
  if [ "`readlink /usr/share/config/$f 2>/dev/null`" == "$f-Mandriva-%{1}" ]; then \
    rm -f /usr/share/config/$f \
  fi \
done \
\
%preun -n %{name}-%{1} \
if [ "$1" == "0" ]; then \
if [ -x %scriptdir/remove-theme ]; then \
  %scriptdir/remove-theme Mandriva-%{1} \
fi \
  link=`readlink %mdk_bg/default.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %mdk_bg/default.png;fi \
  link=`readlink %mdk_bg/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}" ]; then rm -f %mdk_bg/Mandriva.png;fi \
  link=`readlink %mdk_bg/root/Mandriva.png` \
  slink=${link%%-*} \
  if [ "$slink" == "Mandriva-%{1}-root" ]; then rm -f %mdk_bg/root/default.png;fi \
  link=`readlink %_sysconfdir/bootsplash/themes/current` \
  if [ "$link" == "Mandriva-%{1}" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi \
fi \

%define theme_files() \
%files %{1} \
%defattr(-,root,root) \
%_datadir/bootsplash/themes/Mandriva-%{1} \
%config(noreplace) %_sysconfdir/bootsplash/themes/Mandriva-%{1}/* \
%_datadir/gfxboot/themes/Mandriva-%{1} \
%mdk_bg/Mandriva-%{1}* \
\
%files %{1}-screensaver \
%dir %_datadir/mdk/screensaver \
%_datadir/mdk/screensaver/*-*.jpg \

Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}.tar
License: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires(post): bootsplash >= 3.1.10
BuildArchitectures: noarch
Buildrequires: gimp
%theme_header

%theme_package Free      -o mandriva-theme

%package common
Summary: Mandriva common theme for bootsplash
Group: Graphics

%description common
This package contains common images for the Mandriva bootsplash themes.

%prep
%setup -q

%build
%make

%install
rm -rf %{buildroot}
%make install prefix=%{buildroot}

%theme_scripts Free

%clean
rm -rf %{buildroot}

%files common
%defattr(-,root,root)
%config(noreplace) %_sysconfdir/bootsplash/luxisri.ttf
%_datadir/splashy/themes/*
%_datadir/bootsplash/Mandriva-common

%theme_files Free



%changelog

